| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
MyTrack Class Reference

`#include <src/Test/MyTrack.h>`

Inheritance diagram for MyTrack:
[legend]
Collaboration diagram for MyTrack:
[legend]

## Public Member Functions
| MyTrack ()
| Standard constructor. More...
| MyTrack (float x, float y, float z)
| Standard constructor. More...
virtual | ~MyTrack ()
| Standard Destructor. More...
virtual const CLID & | clID () const
| Retrieve pointer to class definition structure. More...
float | px () const
| Accessors: Retrieve x-component of the track momentum. More...
float | py () const
| Accessors: Retrieve y-component of the track momentum. More...
float | pz () const
| Accessors: Retrieve z-component of the track momentum. More...
void | setPx (float px)
| Accessors: Update x-component of the track momentum. More...
void | setPy (float py)
| Accessors: Update y-component of the track momentum. More...
void | setPz (float pz)
| Accessors: Update z-component of the track momentum. More...
const Event * | event () const
| Access to the source track object (constant case) More...
void | setEvent (Event *evt)
| Access to event object. More...
const MyVertex * | decayVertex () const
| Access to the source track object (constant case) More...
void | setDecayVertex (MyVertex *decay)
| Access to event object. More...
std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...
Public Member Functions inherited from KeyedObject< int >
| KeyedObject ()=default
| Standard Constructor. The object key is preset to the invalid value. More...
| KeyedObject (const key_type &kval)
| Standard Constructor accepting the object's key. More...
| ~KeyedObject () override
| Standard destructor. More...
const key_type & | key () const
| Retrieve Key of the object. More...
bool | hasKey () const
| Check if the object has a key assigned or not. More...
long | index () const override
| Distance in the parent container. More...
StreamBuffer & | serialize (StreamBuffer &s) const override
| Serialize the object for writing. More...
StreamBuffer & | serialize (StreamBuffer &s) override
| Serialize the object for reading. More...
Public Member Functions inherited from ContainedObject
const ObjectContainerBase * | parent () const
| Access to parent object. More...
void | setParent (ObjectContainerBase *value)
| Update parent member. More...

## Static Public Member Functions
static const CLID & | classID ()
Static Public Member Functions inherited from ContainedObject
static const CLID & | classID ()

## Private Attributes
float | m_px
| The track momentum. More...
float | m_py
float | m_pz
SmartRef< Event > | m_event
| Link to Top level event. More...
SmartRef< MyVertex > | m_decay

## Additional Inherited Members
Public Types inherited from KeyedObject< int >
typedef int | key_type
| Definition of the key-type to access object. More...
Protected Types inherited from KeyedObject< int >
typedef Containers::key_traits< key_type > | traits
| definition of the container key traits to be made friend More...
Protected Member Functions inherited from KeyedObject< int >
unsigned long | addRef ()
| Add reference to object (Increase reference counter). More...
unsigned long | release ()
| Release reference. If the reference count is ZERO, delete the object. More...
void | setKey (const key_type &key)
| Set object key. More...
Protected Member Functions inherited from ContainedObject
| ContainedObject ()=default
| Constructors. More...
| ContainedObject (const ContainedObject &)
| Copy constructor – do NOT copy the parent reference... More...
virtual | ~ContainedObject ()
| Destructor. More...
Protected Attributes inherited from KeyedObject< int >
key_type | m_key
| Object Key; It's initial value is not determined. More...
long | m_refCount
| Reference counter. More...
bool | m_hasKey
| Boolean to indicate wether a key was already assigned. More...

## Detailed Description

Definition at line 26 of file MyTrack.h.

## Constructor & Destructor Documentation

MyTrack::MyTrack | ( |  | ) |
| inline

Standard constructor.

Definition at line 35 of file MyTrack.h.

35 : m_px(0.0), m_py(0.0), m_pz(0.0) {
36 }
MyTrack::m_py
float m_py
Definition: MyTrack.h:29
MyTrack::m_pz
float m_pz
Definition: MyTrack.h:29
MyTrack::m_px
float m_px
The track momentum.
Definition: MyTrack.h:29

MyTrack::MyTrack | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |
| inline

Standard constructor.

Definition at line 38 of file MyTrack.h.

38 : m_px(x), m_py(y), m_pz(z) {
39 }
MyTrack::m_py
float m_py
Definition: MyTrack.h:29
MyTrack::m_pz
float m_pz
Definition: MyTrack.h:29
MyTrack::m_px
float m_px
The track momentum.
Definition: MyTrack.h:29

virtual MyTrack::~MyTrack | ( |  | ) |
| inline virtual

Standard Destructor.

Definition at line 41 of file MyTrack.h.

41 {
42 }

## Member Function Documentation

static const CLID& MyTrack::classID | ( |  | ) |
| inline static

Definition at line 45 of file MyTrack.h.

45 { return CLID_MyTrack; }

virtual const CLID& MyTrack::clID | ( |  | ) | const
| inline virtual

Retrieve pointer to class definition structure.

Reimplemented from ContainedObject.

Definition at line 44 of file MyTrack.h.

44 { return classID(); }
MyTrack::classID
static const CLID & classID()
Definition: MyTrack.h:45

const MyVertex * MyTrack::decayVertex | ( |  | ) | const
| inline

Access to the source track object (constant case)

Definition at line 84 of file MyTrack.h.

84 {
85 return m_decay;
86 }
MyTrack::m_decay
SmartRef< MyVertex > m_decay
Definition: MyTrack.h:32

const Event* MyTrack::event | ( |  | ) | const
| inline

Access to the source track object (constant case)

Definition at line 60 of file MyTrack.h.

60 {
61 return m_event;
62 }
MyTrack::m_event
SmartRef< Event > m_event
Link to Top level event.
Definition: MyTrack.h:31

std::ostream& MyTrack::fillStream | ( | std::ostream & | s | ) | const
| inline virtual

Fill the output stream (ASCII)

Reimplemented from ContainedObject.

Definition at line 74 of file MyTrack.h.

74 {
75 s << "px: " << px() << "py: " << py() << "px: " << pz();
76 return s;
77 }
MyTrack::py
float py() const
Accessors: Retrieve y-component of the track momentum.
Definition: MyTrack.h:49
MyTrack::px
float px() const
Accessors: Retrieve x-component of the track momentum.
Definition: MyTrack.h:47
MyTrack::pz
float pz() const
Accessors: Retrieve z-component of the track momentum.
Definition: MyTrack.h:51
gaudirun.s
string s
Definition: gaudirun.py:245

float MyTrack::px | ( |  | ) | const
| inline

Accessors: Retrieve x-component of the track momentum.

Definition at line 47 of file MyTrack.h.

47 { return m_px; }
MyTrack::m_px
float m_px
The track momentum.
Definition: MyTrack.h:29

float MyTrack::py | ( |  | ) | const
| inline

Accessors: Retrieve y-component of the track momentum.

Definition at line 49 of file MyTrack.h.

49 { return m_py; }
MyTrack::m_py
float m_py
Definition: MyTrack.h:29

float MyTrack::pz | ( |  | ) | const
| inline

Accessors: Retrieve z-component of the track momentum.

Definition at line 51 of file MyTrack.h.

51 { return m_pz; }
MyTrack::m_pz
float m_pz
Definition: MyTrack.h:29

void MyTrack::setDecayVertex | ( | MyVertex * | decay | ) |
| inline

Access to event object.

Definition at line 89 of file MyTrack.h.

89 {
90 m_decay = decay;
91 }
MyTrack::m_decay
SmartRef< MyVertex > m_decay
Definition: MyTrack.h:32

void MyTrack::setEvent | ( | Event * | evt | ) |
| inline

Access to event object.

Definition at line 64 of file MyTrack.h.

64 {
65 m_event = evt;
66 }
read_lhcb_event_file.evt
tuple evt
Definition: read_lhcb_event_file.py:14
MyTrack::m_event
SmartRef< Event > m_event
Link to Top level event.
Definition: MyTrack.h:31

void MyTrack::setPx | ( | float | px | ) |
| inline

Accessors: Update x-component of the track momentum.

Definition at line 53 of file MyTrack.h.

53 { m_px = px; }
MyTrack::px
float px() const
Accessors: Retrieve x-component of the track momentum.
Definition: MyTrack.h:47
MyTrack::m_px
float m_px
The track momentum.
Definition: MyTrack.h:29

void MyTrack::setPy | ( | float | py | ) |
| inline

Accessors: Update y-component of the track momentum.

Definition at line 55 of file MyTrack.h.

55 { m_py = py; }
MyTrack::py
float py() const
Accessors: Retrieve y-component of the track momentum.
Definition: MyTrack.h:49
MyTrack::m_py
float m_py
Definition: MyTrack.h:29

void MyTrack::setPz | ( | float | pz | ) |
| inline

Accessors: Update z-component of the track momentum.

Definition at line 57 of file MyTrack.h.

57 { m_pz = pz; }
MyTrack::m_pz
float m_pz
Definition: MyTrack.h:29
MyTrack::pz
float pz() const
Accessors: Retrieve z-component of the track momentum.
Definition: MyTrack.h:51

## Member Data Documentation

SmartRef<MyVertex> MyTrack::m_decay
| private

Definition at line 32 of file MyTrack.h.

SmartRef<Event> MyTrack::m_event
| private

Link to Top level event.

Definition at line 31 of file MyTrack.h.

float MyTrack::m_px
| private

The track momentum.

Definition at line 29 of file MyTrack.h.

float MyTrack::m_py
| private

Definition at line 29 of file MyTrack.h.

float MyTrack::m_pz
| private

Definition at line 29 of file MyTrack.h.

The documentation for this class was generated from the following file:

- GaudiPython/src/Test/MyTrack.h